/*****************************************************************
 *****************************************************************
 ***                                                            **
 ***    (C)Copyright 2005-2006, American Megatrends Inc.        **
 ***                                                            **
 ***            All Rights Reserved.                            **
 ***                                                            **
 ***        6145-F, Northbelt Parkway, Norcross,                **
 ***                                                            **
 ***        Georgia - 30071, USA. Phone-(770)-246-8600.         **
 ***                                                            **
 *****************************************************************
 *****************************************************************
 ******************************************************************
 *
 * SDRfunc.h
 *
 *
 *  Author: Rama Bisa <ramab@ami.com>
 *
 ******************************************************************/
#ifndef SDRFUNC_H
#define SDRFUNC_H

#include "SDRRecord.h"
#include "com_IPMI_SDR.h"


/**
 * @brief Get the first SDR record. 
 * @return First SDR record if success, 0 if error.
**/             
extern   SDRRecHdr_T* SDR_GetFirstSDRRec (void);


/**
 * @brief Get the next SDR record. 
 * @param pSDRRec - Current SDR Record.
 * @return Next SDR record if success, 0 if error.
**/             
extern   SDRRecHdr_T* SDR_GetNextSDRRec ( SDRRecHdr_T* pSDRRec);

#endif /* SDRFUNC_H */
