# Contribution Guidelines

All code contributions shall be made using the project [License](license.md).

Please ensure pull requests adheres to the following guidelines:

- Search previous pull requests before making a new one, as yours may be a
duplicate.
- Make sure your code style matches existing code. Soft tabs=4, no trailing
spaces etc.
- Make an individual pull request for each change. No monolithic pull requests
please.
- Work constructively with project maintainers to refine your pull request if
requested.
